> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post field options for donors



## OpenAPI

````yaml post /admin/donor/field_options
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/donor/field_options:
    post:
      tags:
        - Donors
      summary: Post field options for donors
      operationId: 6dbe78574903d45a1fffa40a1ef1b0d8
      requestBody:
        required: true
        content:
          application/json:
            schema:
              required:
                - client_id
                - hysform_id
                - donor
                - report_name
              properties:
                client_id:
                  type: string
                  example: '1'
                hysform_id:
                  type: integer
                  example: 1
                donor:
                  type: array
                  items:
                    type: string
                  example: '[''field'', ''field'']'
                report_name:
                  type: string
                  example: Report 1
                status:
                  type: string
                  example: Donor profile
              type: object
      responses:
        '200':
          description: Preferences saved
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Preferences Saved
                type: object
        '400':
          description: Invalid input
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Invalid input.
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````